import java.io.*;

import com.grapecity.documents.excel.*;

public class GrapeCityTest {

    private static String FILE_NAME = "Collected_Capital_Chart";

    public static void main(String[] args) throws Exception {
        System.out.println("Start converting to pdf");
        String dataDir = new File(System.getProperty("user.dir")).toString() + File.separator;

        FileInputStream fileInputStream = null;
        File file = new File(dataDir + FILE_NAME + ".xlsx");

        try {
            fileInputStream = new FileInputStream(file);
            Workbook workbook = new Workbook();
            workbook.open(fileInputStream, OpenFileFormat.Xlsx);
            workbook.save("test.pdf", SaveFileFormat.Pdf);
        } finally {
            if (fileInputStream != null) {
                fileInputStream.close();
            }
        }
        System.out.println("End converting to pdf");
    }
}
